<html>
<head>
    <title>Unconfirmed Transaction</title>
	<style>
	table, td{
		border-collapse: collapse;
		border: 1px solid;
	}
	</style>
	<script src="head.js"></script>
	<script>
	let walIdx = 0;
	let cluster = 0;
	let role = 0;
	
	async function loadJson(role, walIdx){	//disIdx
		let rsp01 = await fetch('http://35.161.83.70:' + role + '/blockchain/transactions/') ;
		let jR01 = await rsp01.json();
		console.log(jR01);
		
		if(jR01.length < 1){
			txTable = "NO Unconfirmed";
		}else{
			txTable = "";
		}
		
		jR01.forEach(function(disBlkTx, index){
			txTable += "<table><tr><td>index</td><td>" + index + "</td></tr>";
			txTable += "<tr><td>id</td><td>" + disBlkTx.id + "</td></tr>";
			txTable += "<tr><td>hash</td><td>" + disBlkTx.hash + "</td></tr>";
			txTable += "<tr><td>type</td><td>" + disBlkTx.type + "</td></tr>";
			txTable += "<tr><td>data</td><td>";
				txTable += "<table><tr><td>Inputs</td><td>";
				if(disBlkTx.data.inputs != ""){
					disBlkTx.data.inputs.forEach(function(disInputTx, index, array){
						txTable += "<table><tr><td>Tx id</td><td>" + disInputTx.transaction + "</td></tr>";
						txTable += "<tr><td>Index</td><td>" + disInputTx.index + "</td></tr>";
						txTable += "<tr><td>Amount</td><td>" + disInputTx.amount + "</td></tr>";
						txTable += "<tr><td>Address</td><td>" + disInputTx.address + "</td></tr>";
						txTable += "<tr><td>Signature</td><td>" + disInputTx.signature + "</td></tr></table>";
					});
				} else{
					txTable += "null";
				}
				txTable += "<tr><td>Outputs</td><td>";
				disBlkTx.data.outputs.forEach(function(disOutputTx, index, array){
					txTable += "<table><tr><td>Amount</td><td>" + disOutputTx.amount + "</td></tr>";
					txTable += "<tr><td>Address</td><td>" + disOutputTx.address + "</td></tr></table>";
				});
				txTable += "</table>";
			txTable += "</td></tr>";
			txTable += "";
		});
		
		document.getElementById("showTx").innerHTML = txTable;
	}
	//loadJson(role, walIdx);
	
	</script>
</head>
<body onload="printPageHeader()">
	<div id="jsHeader">
		Unconfimred Transactions
	</div>
	
	<br>
	<div id="showTx">
		table showing here...
	</div>
</body>
</html>